"use strict";
// tslint:disable
require('prismjs/components/prism-abap');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AbapDirective = (function () {
    function AbapDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AbapDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'abap';
    };
    AbapDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[abap]'
                },] },
    ];
    /** @nocollapse */
    AbapDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AbapDirective;
}());
exports.AbapDirective = AbapDirective;
