"use strict";
// tslint:disable
require('prismjs/components/prism-actionscript');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ActionscriptDirective = (function () {
    function ActionscriptDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ActionscriptDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'actionscript';
    };
    ActionscriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[actionscript]'
                },] },
    ];
    /** @nocollapse */
    ActionscriptDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ActionscriptDirective;
}());
exports.ActionscriptDirective = ActionscriptDirective;
