"use strict";
// tslint:disable
require('prismjs/components/prism-asciidoc');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AsciidocDirective = (function () {
    function AsciidocDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AsciidocDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'asciidoc';
    };
    AsciidocDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[asciidoc]'
                },] },
    ];
    /** @nocollapse */
    AsciidocDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AsciidocDirective;
}());
exports.AsciidocDirective = AsciidocDirective;
