"use strict";
// tslint:disable
require('prismjs/components/prism-autohotkey');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AutohotkeyDirective = (function () {
    function AutohotkeyDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AutohotkeyDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'autohotkey';
    };
    AutohotkeyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[autohotkey]'
                },] },
    ];
    /** @nocollapse */
    AutohotkeyDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AutohotkeyDirective;
}());
exports.AutohotkeyDirective = AutohotkeyDirective;
