"use strict";
// tslint:disable
require('prismjs/components/prism-autoit');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AutoitDirective = (function () {
    function AutoitDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AutoitDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'autoit';
    };
    AutoitDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[autoit]'
                },] },
    ];
    /** @nocollapse */
    AutoitDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AutoitDirective;
}());
exports.AutoitDirective = AutoitDirective;
