"use strict";
// tslint:disable
require('prismjs/components/prism-batch');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var BatchDirective = (function () {
    function BatchDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    BatchDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'batch';
    };
    BatchDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[batch]'
                },] },
    ];
    /** @nocollapse */
    BatchDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return BatchDirective;
}());
exports.BatchDirective = BatchDirective;
