"use strict";
require('prismjs/components/prism-c');
// tslint:disable
require('prismjs/components/prism-bison');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var BisonDirective = (function () {
    function BisonDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    BisonDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'bison';
    };
    BisonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[bison]'
                },] },
    ];
    /** @nocollapse */
    BisonDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return BisonDirective;
}());
exports.BisonDirective = BisonDirective;
