"use strict";
// tslint:disable
require('prismjs/components/prism-brainfuck');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var BrainfuckDirective = (function () {
    function BrainfuckDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    BrainfuckDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'brainfuck';
    };
    BrainfuckDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[brainfuck]'
                },] },
    ];
    /** @nocollapse */
    BrainfuckDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return BrainfuckDirective;
}());
exports.BrainfuckDirective = BrainfuckDirective;
