"use strict";
// tslint:disable
require('prismjs/components/prism-bro');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var BroDirective = (function () {
    function BroDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    BroDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'bro';
    };
    BroDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[bro]'
                },] },
    ];
    /** @nocollapse */
    BroDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return BroDirective;
}());
exports.BroDirective = BroDirective;
