"use strict";
// tslint:disable
require('prismjs/components/prism-clike');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ClikeDirective = (function () {
    function ClikeDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ClikeDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'clike';
    };
    ClikeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[clike]'
                },] },
    ];
    /** @nocollapse */
    ClikeDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ClikeDirective;
}());
exports.ClikeDirective = ClikeDirective;
