"use strict";
// tslint:disable
require('prismjs/components/prism-csharp');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var CsharpDirective = (function () {
    function CsharpDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    CsharpDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'csharp';
    };
    CsharpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[csharp]'
                },] },
    ];
    /** @nocollapse */
    CsharpDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return CsharpDirective;
}());
exports.CsharpDirective = CsharpDirective;
