"use strict";
// tslint:disable
require('prismjs/components/prism-css');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var CssDirective = (function () {
    function CssDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    CssDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'css';
    };
    CssDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[css]'
                },] },
    ];
    /** @nocollapse */
    CssDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return CssDirective;
}());
exports.CssDirective = CssDirective;
