"use strict";
// tslint:disable
require('prismjs/components/prism-diff');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var DiffDirective = (function () {
    function DiffDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    DiffDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'diff';
    };
    DiffDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[diff]'
                },] },
    ];
    /** @nocollapse */
    DiffDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return DiffDirective;
}());
exports.DiffDirective = DiffDirective;
