"use strict";
// tslint:disable
require('prismjs/components/prism-docker');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var DockerDirective = (function () {
    function DockerDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    DockerDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'docker';
    };
    DockerDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[docker]'
                },] },
    ];
    /** @nocollapse */
    DockerDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return DockerDirective;
}());
exports.DockerDirective = DockerDirective;
