"use strict";
// tslint:disable
require('prismjs/components/prism-eiffel');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var EiffelDirective = (function () {
    function EiffelDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    EiffelDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'eiffel';
    };
    EiffelDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[eiffel]'
                },] },
    ];
    /** @nocollapse */
    EiffelDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return EiffelDirective;
}());
exports.EiffelDirective = EiffelDirective;
