"use strict";
// tslint:disable
require('prismjs/components/prism-fortran');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var FortranDirective = (function () {
    function FortranDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    FortranDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'fortran';
    };
    FortranDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[fortran]'
                },] },
    ];
    /** @nocollapse */
    FortranDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return FortranDirective;
}());
exports.FortranDirective = FortranDirective;
