"use strict";
// tslint:disable
require('prismjs/components/prism-fsharp');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var FsharpDirective = (function () {
    function FsharpDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    FsharpDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'fsharp';
    };
    FsharpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[fsharp]'
                },] },
    ];
    /** @nocollapse */
    FsharpDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return FsharpDirective;
}());
exports.FsharpDirective = FsharpDirective;
