"use strict";
// tslint:disable
require('prismjs/components/prism-gherkin');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var GherkinDirective = (function () {
    function GherkinDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    GherkinDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'gherkin';
    };
    GherkinDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[gherkin]'
                },] },
    ];
    /** @nocollapse */
    GherkinDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return GherkinDirective;
}());
exports.GherkinDirective = GherkinDirective;
