"use strict";
// tslint:disable
require('prismjs/components/prism-graphql');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var GraphqlDirective = (function () {
    function GraphqlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    GraphqlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'graphql';
    };
    GraphqlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[graphql]'
                },] },
    ];
    /** @nocollapse */
    GraphqlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return GraphqlDirective;
}());
exports.GraphqlDirective = GraphqlDirective;
