"use strict";
// tslint:disable
require('prismjs/components/prism-groovy');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var GroovyDirective = (function () {
    function GroovyDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    GroovyDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'groovy';
    };
    GroovyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[groovy]'
                },] },
    ];
    /** @nocollapse */
    GroovyDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return GroovyDirective;
}());
exports.GroovyDirective = GroovyDirective;
