"use strict";
// tslint:disable
require('prismjs/components/prism-haml');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var HamlDirective = (function () {
    function HamlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    HamlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'haml';
    };
    HamlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[haml]'
                },] },
    ];
    /** @nocollapse */
    HamlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return HamlDirective;
}());
exports.HamlDirective = HamlDirective;
