"use strict";
// tslint:disable
require('prismjs/components/prism-handlebars');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var HandlebarsDirective = (function () {
    function HandlebarsDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    HandlebarsDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'handlebars';
    };
    HandlebarsDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[handlebars]'
                },] },
    ];
    /** @nocollapse */
    HandlebarsDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return HandlebarsDirective;
}());
exports.HandlebarsDirective = HandlebarsDirective;
