"use strict";
// tslint:disable
require('prismjs/components/prism-haskell');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var HaskellDirective = (function () {
    function HaskellDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    HaskellDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'haskell';
    };
    HaskellDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[haskell]'
                },] },
    ];
    /** @nocollapse */
    HaskellDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return HaskellDirective;
}());
exports.HaskellDirective = HaskellDirective;
