"use strict";
// tslint:disable
require('prismjs/components/prism-inform7');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var Inform7Directive = (function () {
    function Inform7Directive(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    Inform7Directive.prototype.ngOnInit = function () {
        this.codeblock.language = 'inform7';
    };
    Inform7Directive.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[inform7]'
                },] },
    ];
    /** @nocollapse */
    Inform7Directive.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return Inform7Directive;
}());
exports.Inform7Directive = Inform7Directive;
