"use strict";
// tslint:disable
require('prismjs/components/prism-ini');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var IniDirective = (function () {
    function IniDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    IniDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'ini';
    };
    IniDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ini]'
                },] },
    ];
    /** @nocollapse */
    IniDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return IniDirective;
}());
exports.IniDirective = IniDirective;
