"use strict";
// tslint:disable
require('prismjs/components/prism-javascript');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JavascriptDirective = (function () {
    function JavascriptDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JavascriptDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'javascript';
    };
    JavascriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[javascript]'
                },] },
    ];
    /** @nocollapse */
    JavascriptDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JavascriptDirective;
}());
exports.JavascriptDirective = JavascriptDirective;
