"use strict";
// tslint:disable
require('prismjs/components/prism-jolie');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JolieDirective = (function () {
    function JolieDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JolieDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'jolie';
    };
    JolieDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[jolie]'
                },] },
    ];
    /** @nocollapse */
    JolieDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JolieDirective;
}());
exports.JolieDirective = JolieDirective;
