"use strict";
// tslint:disable
require('prismjs/components/prism-json');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JsonDirective = (function () {
    function JsonDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JsonDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'json';
    };
    JsonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[json]'
                },] },
    ];
    /** @nocollapse */
    JsonDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JsonDirective;
}());
exports.JsonDirective = JsonDirective;
