"use strict";
// tslint:disable
require('prismjs/components/prism-jsx');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JsxDirective = (function () {
    function JsxDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JsxDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'jsx';
    };
    JsxDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[jsx]'
                },] },
    ];
    /** @nocollapse */
    JsxDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JsxDirective;
}());
exports.JsxDirective = JsxDirective;
