"use strict";
// tslint:disable
require('prismjs/components/prism-kotlin');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var KotlinDirective = (function () {
    function KotlinDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    KotlinDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'kotlin';
    };
    KotlinDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[kotlin]'
                },] },
    ];
    /** @nocollapse */
    KotlinDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return KotlinDirective;
}());
exports.KotlinDirective = KotlinDirective;
