"use strict";
// tslint:disable
require('prismjs/components/prism-latex');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var LatexDirective = (function () {
    function LatexDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    LatexDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'latex';
    };
    LatexDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[latex]'
                },] },
    ];
    /** @nocollapse */
    LatexDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return LatexDirective;
}());
exports.LatexDirective = LatexDirective;
