"use strict";
// tslint:disable
require('prismjs/components/prism-less');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var LessDirective = (function () {
    function LessDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    LessDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'less';
    };
    LessDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[less]'
                },] },
    ];
    /** @nocollapse */
    LessDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return LessDirective;
}());
exports.LessDirective = LessDirective;
