"use strict";
// tslint:disable
require('prismjs/components/prism-lolcode');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var LolcodeDirective = (function () {
    function LolcodeDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    LolcodeDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'lolcode';
    };
    LolcodeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[lolcode]'
                },] },
    ];
    /** @nocollapse */
    LolcodeDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return LolcodeDirective;
}());
exports.LolcodeDirective = LolcodeDirective;
