"use strict";
// tslint:disable
require('prismjs/components/prism-makefile');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MakefileDirective = (function () {
    function MakefileDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MakefileDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'makefile';
    };
    MakefileDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[makefile]'
                },] },
    ];
    /** @nocollapse */
    MakefileDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MakefileDirective;
}());
exports.MakefileDirective = MakefileDirective;
