"use strict";
// tslint:disable
require('prismjs/components/prism-markdown');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MarkdownDirective = (function () {
    function MarkdownDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MarkdownDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'markdown';
    };
    MarkdownDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[markdown]'
                },] },
    ];
    /** @nocollapse */
    MarkdownDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MarkdownDirective;
}());
exports.MarkdownDirective = MarkdownDirective;
