"use strict";
// tslint:disable
require('prismjs/components/prism-markup');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MarkupDirective = (function () {
    function MarkupDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MarkupDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'markup';
    };
    MarkupDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[markup]'
                },] },
    ];
    /** @nocollapse */
    MarkupDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MarkupDirective;
}());
exports.MarkupDirective = MarkupDirective;
