"use strict";
// tslint:disable
require('prismjs/components/prism-matlab');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MatlabDirective = (function () {
    function MatlabDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MatlabDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'matlab';
    };
    MatlabDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[matlab]'
                },] },
    ];
    /** @nocollapse */
    MatlabDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MatlabDirective;
}());
exports.MatlabDirective = MatlabDirective;
