"use strict";
// tslint:disable
require('prismjs/components/prism-mel');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MelDirective = (function () {
    function MelDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MelDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'mel';
    };
    MelDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[mel]'
                },] },
    ];
    /** @nocollapse */
    MelDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MelDirective;
}());
exports.MelDirective = MelDirective;
