"use strict";
// tslint:disable
require('prismjs/components/prism-mizar');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MizarDirective = (function () {
    function MizarDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MizarDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'mizar';
    };
    MizarDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[mizar]'
                },] },
    ];
    /** @nocollapse */
    MizarDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MizarDirective;
}());
exports.MizarDirective = MizarDirective;
