"use strict";
// tslint:disable
require('prismjs/components/prism-monkey');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var MonkeyDirective = (function () {
    function MonkeyDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    MonkeyDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'monkey';
    };
    MonkeyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[monkey]'
                },] },
    ];
    /** @nocollapse */
    MonkeyDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return MonkeyDirective;
}());
exports.MonkeyDirective = MonkeyDirective;
