"use strict";
// tslint:disable
require('prismjs/components/prism-nasm');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var NasmDirective = (function () {
    function NasmDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    NasmDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'nasm';
    };
    NasmDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nasm]'
                },] },
    ];
    /** @nocollapse */
    NasmDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return NasmDirective;
}());
exports.NasmDirective = NasmDirective;
