"use strict";
// tslint:disable
require('prismjs/components/prism-nim');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var NimDirective = (function () {
    function NimDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    NimDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'nim';
    };
    NimDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nim]'
                },] },
    ];
    /** @nocollapse */
    NimDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return NimDirective;
}());
exports.NimDirective = NimDirective;
