"use strict";
require('prismjs/components/prism-c');
// tslint:disable
require('prismjs/components/prism-objectivec');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ObjectivecDirective = (function () {
    function ObjectivecDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ObjectivecDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'objectivec';
    };
    ObjectivecDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[objectivec]'
                },] },
    ];
    /** @nocollapse */
    ObjectivecDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ObjectivecDirective;
}());
exports.ObjectivecDirective = ObjectivecDirective;
