"use strict";
// tslint:disable
require('prismjs/components/prism-ocaml');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var OcamlDirective = (function () {
    function OcamlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    OcamlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'ocaml';
    };
    OcamlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ocaml]'
                },] },
    ];
    /** @nocollapse */
    OcamlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return OcamlDirective;
}());
exports.OcamlDirective = OcamlDirective;
