"use strict";
// tslint:disable
require('prismjs/components/prism-parigp');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ParigpDirective = (function () {
    function ParigpDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ParigpDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'parigp';
    };
    ParigpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[parigp]'
                },] },
    ];
    /** @nocollapse */
    ParigpDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ParigpDirective;
}());
exports.ParigpDirective = ParigpDirective;
