"use strict";
// tslint:disable
require('prismjs/components/prism-pascal');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PascalDirective = (function () {
    function PascalDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PascalDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'pascal';
    };
    PascalDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[pascal]'
                },] },
    ];
    /** @nocollapse */
    PascalDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PascalDirective;
}());
exports.PascalDirective = PascalDirective;
