"use strict";
// tslint:disable
require('prismjs/components/prism-perl');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PerlDirective = (function () {
    function PerlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PerlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'perl';
    };
    PerlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[perl]'
                },] },
    ];
    /** @nocollapse */
    PerlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PerlDirective;
}());
exports.PerlDirective = PerlDirective;
