"use strict";
// tslint:disable
require('prismjs/components/prism-powershell');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PowershellDirective = (function () {
    function PowershellDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PowershellDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'powershell';
    };
    PowershellDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[powershell]'
                },] },
    ];
    /** @nocollapse */
    PowershellDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PowershellDirective;
}());
exports.PowershellDirective = PowershellDirective;
