"use strict";
// tslint:disable
require('prismjs/components/prism-properties');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PropertiesDirective = (function () {
    function PropertiesDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PropertiesDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'properties';
    };
    PropertiesDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[properties]'
                },] },
    ];
    /** @nocollapse */
    PropertiesDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PropertiesDirective;
}());
exports.PropertiesDirective = PropertiesDirective;
