"use strict";
// tslint:disable
require('prismjs/components/prism-r');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var RDirective = (function () {
    function RDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    RDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'r';
    };
    RDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[r]'
                },] },
    ];
    /** @nocollapse */
    RDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return RDirective;
}());
exports.RDirective = RDirective;
