"use strict";
// tslint:disable
require('prismjs/components/prism-reason');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ReasonDirective = (function () {
    function ReasonDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ReasonDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'reason';
    };
    ReasonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[reason]'
                },] },
    ];
    /** @nocollapse */
    ReasonDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ReasonDirective;
}());
exports.ReasonDirective = ReasonDirective;
