"use strict";
// tslint:disable
require('prismjs/components/prism-rip');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var RipDirective = (function () {
    function RipDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    RipDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'rip';
    };
    RipDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[rip]'
                },] },
    ];
    /** @nocollapse */
    RipDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return RipDirective;
}());
exports.RipDirective = RipDirective;
