"use strict";
// tslint:disable
require('prismjs/components/prism-rust');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var RustDirective = (function () {
    function RustDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    RustDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'rust';
    };
    RustDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[rust]'
                },] },
    ];
    /** @nocollapse */
    RustDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return RustDirective;
}());
exports.RustDirective = RustDirective;
