"use strict";
// tslint:disable
require('prismjs/components/prism-sas');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SasDirective = (function () {
    function SasDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SasDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'sas';
    };
    SasDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[sas]'
                },] },
    ];
    /** @nocollapse */
    SasDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SasDirective;
}());
exports.SasDirective = SasDirective;
