"use strict";
// tslint:disable
require('prismjs/components/prism-sass');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SassDirective = (function () {
    function SassDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SassDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'sass';
    };
    SassDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[sass]'
                },] },
    ];
    /** @nocollapse */
    SassDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SassDirective;
}());
exports.SassDirective = SassDirective;
