"use strict";
// tslint:disable
require('prismjs/components/prism-smarty');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SmartyDirective = (function () {
    function SmartyDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SmartyDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'smarty';
    };
    SmartyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[smarty]'
                },] },
    ];
    /** @nocollapse */
    SmartyDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SmartyDirective;
}());
exports.SmartyDirective = SmartyDirective;
