"use strict";
// tslint:disable
require('prismjs/components/prism-sql');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SqlDirective = (function () {
    function SqlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SqlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'sql';
    };
    SqlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[sql]'
                },] },
    ];
    /** @nocollapse */
    SqlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SqlDirective;
}());
exports.SqlDirective = SqlDirective;
