"use strict";
// tslint:disable
require('prismjs/components/prism-stylus');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var StylusDirective = (function () {
    function StylusDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    StylusDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'stylus';
    };
    StylusDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[stylus]'
                },] },
    ];
    /** @nocollapse */
    StylusDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return StylusDirective;
}());
exports.StylusDirective = StylusDirective;
