"use strict";
// tslint:disable
require('prismjs/components/prism-swift');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SwiftDirective = (function () {
    function SwiftDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SwiftDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'swift';
    };
    SwiftDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[swift]'
                },] },
    ];
    /** @nocollapse */
    SwiftDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SwiftDirective;
}());
exports.SwiftDirective = SwiftDirective;
