"use strict";
// tslint:disable
require('prismjs/components/prism-textile');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var TextileDirective = (function () {
    function TextileDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    TextileDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'textile';
    };
    TextileDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[textile]'
                },] },
    ];
    /** @nocollapse */
    TextileDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return TextileDirective;
}());
exports.TextileDirective = TextileDirective;
