"use strict";
// tslint:disable
require('prismjs/components/prism-twig');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var TwigDirective = (function () {
    function TwigDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    TwigDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'twig';
    };
    TwigDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[twig]'
                },] },
    ];
    /** @nocollapse */
    TwigDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return TwigDirective;
}());
exports.TwigDirective = TwigDirective;
