"use strict";
// tslint:disable
require('prismjs/components/prism-typescript');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var TypescriptDirective = (function () {
    function TypescriptDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    TypescriptDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'typescript';
    };
    TypescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[typescript]'
                },] },
    ];
    /** @nocollapse */
    TypescriptDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return TypescriptDirective;
}());
exports.TypescriptDirective = TypescriptDirective;
