"use strict";
// tslint:disable
require('prismjs/components/prism-verilog');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var VerilogDirective = (function () {
    function VerilogDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    VerilogDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'verilog';
    };
    VerilogDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[verilog]'
                },] },
    ];
    /** @nocollapse */
    VerilogDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return VerilogDirective;
}());
exports.VerilogDirective = VerilogDirective;
