"use strict";
// tslint:disable
require('prismjs/components/prism-vhdl');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var VhdlDirective = (function () {
    function VhdlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    VhdlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'vhdl';
    };
    VhdlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[vhdl]'
                },] },
    ];
    /** @nocollapse */
    VhdlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return VhdlDirective;
}());
exports.VhdlDirective = VhdlDirective;
