"use strict";
// tslint:disable
require('prismjs/components/prism-ada');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AdaDirective = (function () {
    function AdaDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AdaDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'ada';
    };
    AdaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ada]'
                },] },
    ];
    /** @nocollapse */
    AdaDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AdaDirective;
}());
exports.AdaDirective = AdaDirective;
