"use strict";
// tslint:disable
require('prismjs/components/prism-apacheconf');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ApacheconfDirective = (function () {
    function ApacheconfDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ApacheconfDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'apacheconf';
    };
    ApacheconfDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[apacheconf]'
                },] },
    ];
    /** @nocollapse */
    ApacheconfDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ApacheconfDirective;
}());
exports.ApacheconfDirective = ApacheconfDirective;
