"use strict";
// tslint:disable
require('prismjs/components/prism-apl');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AplDirective = (function () {
    function AplDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AplDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'apl';
    };
    AplDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[apl]'
                },] },
    ];
    /** @nocollapse */
    AplDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AplDirective;
}());
exports.AplDirective = AplDirective;
