"use strict";
// tslint:disable
require('prismjs/components/prism-applescript');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ApplescriptDirective = (function () {
    function ApplescriptDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ApplescriptDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'applescript';
    };
    ApplescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[applescript]'
                },] },
    ];
    /** @nocollapse */
    ApplescriptDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ApplescriptDirective;
}());
exports.ApplescriptDirective = ApplescriptDirective;
