"use strict";
// tslint:disable
require('prismjs/components/prism-aspnet');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var AspnetDirective = (function () {
    function AspnetDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    AspnetDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'aspnet';
    };
    AspnetDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[aspnet]'
                },] },
    ];
    /** @nocollapse */
    AspnetDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return AspnetDirective;
}());
exports.AspnetDirective = AspnetDirective;
