"use strict";
// tslint:disable
require('prismjs/components/prism-bash');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var BashDirective = (function () {
    function BashDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    BashDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'bash';
    };
    BashDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[bash]'
                },] },
    ];
    /** @nocollapse */
    BashDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return BashDirective;
}());
exports.BashDirective = BashDirective;
