"use strict";
// tslint:disable
require('prismjs/components/prism-coffeescript');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var CoffeescriptDirective = (function () {
    function CoffeescriptDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    CoffeescriptDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'coffeescript';
    };
    CoffeescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[coffeescript]'
                },] },
    ];
    /** @nocollapse */
    CoffeescriptDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return CoffeescriptDirective;
}());
exports.CoffeescriptDirective = CoffeescriptDirective;
