"use strict";
require('prismjs/components/prism-c');
// tslint:disable
require('prismjs/components/prism-cpp');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var CppDirective = (function () {
    function CppDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    CppDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'cpp';
    };
    CppDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[cpp]'
                },] },
    ];
    /** @nocollapse */
    CppDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return CppDirective;
}());
exports.CppDirective = CppDirective;
