"use strict";
require('prismjs/components/prism-ruby');
// tslint:disable
require('prismjs/components/prism-crystal');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var CrystalDirective = (function () {
    function CrystalDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    CrystalDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'crystal';
    };
    CrystalDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[crystal]'
                },] },
    ];
    /** @nocollapse */
    CrystalDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return CrystalDirective;
}());
exports.CrystalDirective = CrystalDirective;
