"use strict";
// tslint:disable
require('prismjs/components/prism-dart');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var DartDirective = (function () {
    function DartDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    DartDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'dart';
    };
    DartDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[dart]'
                },] },
    ];
    /** @nocollapse */
    DartDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return DartDirective;
}());
exports.DartDirective = DartDirective;
