"use strict";
// tslint:disable
require('prismjs/components/prism-elixir');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ElixirDirective = (function () {
    function ElixirDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ElixirDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'elixir';
    };
    ElixirDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[elixir]'
                },] },
    ];
    /** @nocollapse */
    ElixirDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ElixirDirective;
}());
exports.ElixirDirective = ElixirDirective;
