"use strict";
// tslint:disable
require('prismjs/components/prism-git');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var GitDirective = (function () {
    function GitDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    GitDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'git';
    };
    GitDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[git]'
                },] },
    ];
    /** @nocollapse */
    GitDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return GitDirective;
}());
exports.GitDirective = GitDirective;
