"use strict";
// tslint:disable
require('prismjs/components/prism-glsl');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var GlslDirective = (function () {
    function GlslDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    GlslDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'glsl';
    };
    GlslDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[glsl]'
                },] },
    ];
    /** @nocollapse */
    GlslDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return GlslDirective;
}());
exports.GlslDirective = GlslDirective;
