"use strict";
// tslint:disable
require('prismjs/components/prism-go');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var GoDirective = (function () {
    function GoDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    GoDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'go';
    };
    GoDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[go]'
                },] },
    ];
    /** @nocollapse */
    GoDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return GoDirective;
}());
exports.GoDirective = GoDirective;
