"use strict";
// tslint:disable
require('prismjs/components/prism-icon');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var IconDirective = (function () {
    function IconDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    IconDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'icon';
    };
    IconDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[icon]'
                },] },
    ];
    /** @nocollapse */
    IconDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return IconDirective;
}());
exports.IconDirective = IconDirective;
