"use strict";
// tslint:disable
require('prismjs/components/prism-jade');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JadeDirective = (function () {
    function JadeDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JadeDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'jade';
    };
    JadeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[jade]'
                },] },
    ];
    /** @nocollapse */
    JadeDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JadeDirective;
}());
exports.JadeDirective = JadeDirective;
