"use strict";
// tslint:disable
require('prismjs/components/prism-java');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JavaDirective = (function () {
    function JavaDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JavaDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'java';
    };
    JavaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[java]'
                },] },
    ];
    /** @nocollapse */
    JavaDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JavaDirective;
}());
exports.JavaDirective = JavaDirective;
