"use strict";
// tslint:disable
require('prismjs/components/prism-julia');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var JuliaDirective = (function () {
    function JuliaDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    JuliaDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'julia';
    };
    JuliaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[julia]'
                },] },
    ];
    /** @nocollapse */
    JuliaDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return JuliaDirective;
}());
exports.JuliaDirective = JuliaDirective;
