"use strict";
// tslint:disable
require('prismjs/components/prism-keyman');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var KeymanDirective = (function () {
    function KeymanDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    KeymanDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'keyman';
    };
    KeymanDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[keyman]'
                },] },
    ];
    /** @nocollapse */
    KeymanDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return KeymanDirective;
}());
exports.KeymanDirective = KeymanDirective;
