"use strict";
// tslint:disable
require('prismjs/components/prism-livescript');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var LivescriptDirective = (function () {
    function LivescriptDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    LivescriptDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'livescript';
    };
    LivescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[livescript]'
                },] },
    ];
    /** @nocollapse */
    LivescriptDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return LivescriptDirective;
}());
exports.LivescriptDirective = LivescriptDirective;
