"use strict";
// tslint:disable
require('prismjs/components/prism-lua');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var LuaDirective = (function () {
    function LuaDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    LuaDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'lua';
    };
    LuaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[lua]'
                },] },
    ];
    /** @nocollapse */
    LuaDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return LuaDirective;
}());
exports.LuaDirective = LuaDirective;
