"use strict";
// tslint:disable
require('prismjs/components/prism-nginx');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var NginxDirective = (function () {
    function NginxDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    NginxDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'nginx';
    };
    NginxDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nginx]'
                },] },
    ];
    /** @nocollapse */
    NginxDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return NginxDirective;
}());
exports.NginxDirective = NginxDirective;
