"use strict";
// tslint:disable
require('prismjs/components/prism-nix');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var NixDirective = (function () {
    function NixDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    NixDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'nix';
    };
    NixDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nix]'
                },] },
    ];
    /** @nocollapse */
    NixDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return NixDirective;
}());
exports.NixDirective = NixDirective;
