"use strict";
// tslint:disable
require('prismjs/components/prism-nsis');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var NsisDirective = (function () {
    function NsisDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    NsisDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'nsis';
    };
    NsisDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nsis]'
                },] },
    ];
    /** @nocollapse */
    NsisDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return NsisDirective;
}());
exports.NsisDirective = NsisDirective;
