"use strict";
// tslint:disable
require('prismjs/components/prism-oz');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var OzDirective = (function () {
    function OzDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    OzDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'oz';
    };
    OzDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[oz]'
                },] },
    ];
    /** @nocollapse */
    OzDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return OzDirective;
}());
exports.OzDirective = OzDirective;
