"use strict";
// tslint:disable
require('prismjs/components/prism-parser');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ParserDirective = (function () {
    function ParserDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ParserDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'parser';
    };
    ParserDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[parser]'
                },] },
    ];
    /** @nocollapse */
    ParserDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ParserDirective;
}());
exports.ParserDirective = ParserDirective;
