"use strict";
// tslint:disable
require('prismjs/components/prism-php');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PhpDirective = (function () {
    function PhpDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PhpDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'php';
    };
    PhpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[php]'
                },] },
    ];
    /** @nocollapse */
    PhpDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PhpDirective;
}());
exports.PhpDirective = PhpDirective;
