"use strict";
// tslint:disable
require('prismjs/components/prism-processing');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ProcessingDirective = (function () {
    function ProcessingDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ProcessingDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'processing';
    };
    ProcessingDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[processing]'
                },] },
    ];
    /** @nocollapse */
    ProcessingDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ProcessingDirective;
}());
exports.ProcessingDirective = ProcessingDirective;
