"use strict";
// tslint:disable
require('prismjs/components/prism-prolog');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PrologDirective = (function () {
    function PrologDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PrologDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'prolog';
    };
    PrologDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[prolog]'
                },] },
    ];
    /** @nocollapse */
    PrologDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PrologDirective;
}());
exports.PrologDirective = PrologDirective;
