"use strict";
// tslint:disable
require('prismjs/components/prism-protobuf');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ProtobufDirective = (function () {
    function ProtobufDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ProtobufDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'protobuf';
    };
    ProtobufDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[protobuf]'
                },] },
    ];
    /** @nocollapse */
    ProtobufDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ProtobufDirective;
}());
exports.ProtobufDirective = ProtobufDirective;
