"use strict";
// tslint:disable
require('prismjs/components/prism-puppet');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PuppetDirective = (function () {
    function PuppetDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PuppetDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'puppet';
    };
    PuppetDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[puppet]'
                },] },
    ];
    /** @nocollapse */
    PuppetDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PuppetDirective;
}());
exports.PuppetDirective = PuppetDirective;
