"use strict";
// tslint:disable
require('prismjs/components/prism-pure');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PureDirective = (function () {
    function PureDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PureDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'pure';
    };
    PureDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[pure]'
                },] },
    ];
    /** @nocollapse */
    PureDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PureDirective;
}());
exports.PureDirective = PureDirective;
