"use strict";
// tslint:disable
require('prismjs/components/prism-python');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var PythonDirective = (function () {
    function PythonDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    PythonDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'python';
    };
    PythonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[python]'
                },] },
    ];
    /** @nocollapse */
    PythonDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return PythonDirective;
}());
exports.PythonDirective = PythonDirective;
