"use strict";
// tslint:disable
require('prismjs/components/prism-qore');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var QoreDirective = (function () {
    function QoreDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    QoreDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'qore';
    };
    QoreDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[qore]'
                },] },
    ];
    /** @nocollapse */
    QoreDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return QoreDirective;
}());
exports.QoreDirective = QoreDirective;
