"use strict";
// tslint:disable
require('prismjs/components/prism-roboconf');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var RoboconfDirective = (function () {
    function RoboconfDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    RoboconfDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'roboconf';
    };
    RoboconfDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[roboconf]'
                },] },
    ];
    /** @nocollapse */
    RoboconfDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return RoboconfDirective;
}());
exports.RoboconfDirective = RoboconfDirective;
