"use strict";
// tslint:disable
require('prismjs/components/prism-ruby');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var RubyDirective = (function () {
    function RubyDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    RubyDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'ruby';
    };
    RubyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ruby]'
                },] },
    ];
    /** @nocollapse */
    RubyDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return RubyDirective;
}());
exports.RubyDirective = RubyDirective;
