"use strict";
require('prismjs/components/prism-java');
// tslint:disable
require('prismjs/components/prism-scala');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ScalaDirective = (function () {
    function ScalaDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ScalaDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'scala';
    };
    ScalaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[scala]'
                },] },
    ];
    /** @nocollapse */
    ScalaDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ScalaDirective;
}());
exports.ScalaDirective = ScalaDirective;
