"use strict";
// tslint:disable
require('prismjs/components/prism-scheme');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SchemeDirective = (function () {
    function SchemeDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SchemeDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'scheme';
    };
    SchemeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[scheme]'
                },] },
    ];
    /** @nocollapse */
    SchemeDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SchemeDirective;
}());
exports.SchemeDirective = SchemeDirective;
