"use strict";
// tslint:disable
require('prismjs/components/prism-scss');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var ScssDirective = (function () {
    function ScssDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    ScssDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'scss';
    };
    ScssDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[scss]'
                },] },
    ];
    /** @nocollapse */
    ScssDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return ScssDirective;
}());
exports.ScssDirective = ScssDirective;
