"use strict";
// tslint:disable
require('prismjs/components/prism-smalltalk');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var SmalltalkDirective = (function () {
    function SmalltalkDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    SmalltalkDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'smalltalk';
    };
    SmalltalkDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[smalltalk]'
                },] },
    ];
    /** @nocollapse */
    SmalltalkDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return SmalltalkDirective;
}());
exports.SmalltalkDirective = SmalltalkDirective;
