"use strict";
// tslint:disable
require('prismjs/components/prism-tcl');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var TclDirective = (function () {
    function TclDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    TclDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'tcl';
    };
    TclDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[tcl]'
                },] },
    ];
    /** @nocollapse */
    TclDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return TclDirective;
}());
exports.TclDirective = TclDirective;
