"use strict";
// tslint:disable
require('prismjs/components/prism-vim');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var VimDirective = (function () {
    function VimDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    VimDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'vim';
    };
    VimDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[vim]'
                },] },
    ];
    /** @nocollapse */
    VimDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return VimDirective;
}());
exports.VimDirective = VimDirective;
