"use strict";
// tslint:disable
require('prismjs/components/prism-wiki');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var WikiDirective = (function () {
    function WikiDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    WikiDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'wiki';
    };
    WikiDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[wiki]'
                },] },
    ];
    /** @nocollapse */
    WikiDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return WikiDirective;
}());
exports.WikiDirective = WikiDirective;
