"use strict";
// tslint:disable
require('prismjs/components/prism-xojo');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var XojoDirective = (function () {
    function XojoDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    XojoDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'xojo';
    };
    XojoDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[xojo]'
                },] },
    ];
    /** @nocollapse */
    XojoDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return XojoDirective;
}());
exports.XojoDirective = XojoDirective;
