"use strict";
// tslint:disable
require('prismjs/components/prism-yaml');
var core_1 = require('@angular/core');
var codeblock_component_1 = require('../codeblock.component');
var YamlDirective = (function () {
    function YamlDirective(codeblockComponent) {
        this.codeblock = codeblockComponent;
    }
    YamlDirective.prototype.ngOnInit = function () {
        this.codeblock.language = 'yaml';
    };
    YamlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[yaml]'
                },] },
    ];
    /** @nocollapse */
    YamlDirective.ctorParameters = function () { return [
        { type: codeblock_component_1.CodeblockComponent, decorators: [{ type: core_1.Host },] },
    ]; };
    return YamlDirective;
}());
exports.YamlDirective = YamlDirective;
